summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Brandt <alunduil@gentoo.org>2016-08-13 10:37:28 -0500
committerAlex Brandt <alunduil@gentoo.org>2016-08-13 10:37:28 -0500
commit5d6a880409a5c44549d111afd66d87f718379567 (patch)
tree27f0b3a3957c189112362e2967eff2bd8bc814c3 /dev-python/boto3
parentdev-python/s3transfer: add version 0.0.1 (diff)
downloadgentoo-5d6a880409a5c44549d111afd66d87f718379567.tar.gz
gentoo-5d6a880409a5c44549d111afd66d87f718379567.tar.bz2
gentoo-5d6a880409a5c44549d111afd66d87f718379567.zip
dev-python/boto3: add version 1.4.0
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-python/boto3')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.4.0.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 968f994443e..54606ec5081 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.2.3.tar.gz 159771 SHA256 3ef63cbbb2b62e699ef3402bacd2658c453cf6cf5cfedb97ab8524327f755428 SHA512 a680e41973be41a6fa294633fe45db86fc57effb97a99eb89d668b8fb1267f1a8b1c3049be0423b4807b48f109dc2cd9efd96afb44ba99c7064a0c8dcca06247 WHIRLPOOL 078a07ae2361daaddd964ee9c4b3948b61e708c6fbb2e14d1b4efef1d1f40333b5b7d36de1498aa6dac852e68bf18636654461245d89805a908df82383e800e5
DIST boto3-1.3.0.tar.gz 171316 SHA256 0b8c809a08c1c27dcd2213b2799796fa82388d93bf50d375cd378171c9a59a53 SHA512 2088ee1fd27dbe197221c14b73344905cce1c6f660d61a5a69124f64be099abb0ea31f8b8d06c5034418d36b7a2289a1a1f87d4f8e15c49884fd8215b0a342c8 WHIRLPOOL 50bbec84e5bb12c991462b04b15e79cd28f6aae7069c1128b25aae4c738ba9bcb4005b84080dbfd0b73bbfcce33e7fb7b7708e23da928d032214c22dd39d6673
DIST boto3-1.3.1.tar.gz 176717 SHA256 b3dbde6445ab04c3d0de9b962a3cc8ed9bc22ccce5ed4c8c4f8a1c1f653667f0 SHA512 10fa396e8896a157e80d028b590056dd8e967afec37062056d94fab45652d4adedbe5e98f1cc67c6c8b9ae9282145367b4e1973fd7506170e486b026b57db9f5 WHIRLPOOL 7a89936f8fde0c1138b330cee2184b40948838466aa44e78e35dfa6440c120ed8abfca9b76e28355173b8c571f0124af462eaa506990ef09bcdeaa0219e45788
+DIST boto3-1.4.0.tar.gz 183263 SHA256 8fdd3743e34a32e5cb8636fb33dafe7336b7a341583653f52c6c20f7fe764472 SHA512 9e678b26993f48f156a5acdb33aec3488d263230517e6b5e1e608cb007fbf4f29a3c33290e460eb7cf1031f87894f3daca03bf80048139435979f23dd2fd61b8 WHIRLPOOL 5eb3703b11b4a0b3a4c873aed78f9c8b6588b5a83cacbd673f27cc4460822772745abcbc6698f680968ed37318d76bd812a491a83caa7b04b1e4a663def4a271
diff --git a/dev-python/boto3/boto3-1.4.0.ebuild b/dev-python/boto3/boto3-1.4.0.ebuild
new file mode 100644
index 00000000000..59d301c8344
--- /dev/null
+++ b/dev-python/boto3/boto3-1.4.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="
+ >=dev-python/botocore-1.4.1[${PYTHON_USEDEP}]
+ <dev-python/botocore-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.1.0[${PYTHON_USEDEP}]
+ <dev-python/s3transfer-0.2.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+ <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${CDEPEND}
+ ~dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ nosetests tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/build/html/. )
+
+ distutils-r1_python_install_all
+}